package com.ejie.ab79.model.nora;

/**
 * * T17Provincia  
 * 
 *  
 */

public class T17Provincia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String dsO;
	private String autonomiaId;

	private String dsE;
	private String dsC;

	/**
	 * Method 'T17Provincia'.
	 * 
	 */
	public T17Provincia() {
	}

	/**
	 * Method 'T17Provincia'.
	 * 
	 * @param id
	 *            String
	 * @param dsO
	 *            String
	 * @param autonomiaId
	 *            String
	 */
	public T17Provincia(String id, String dsO, String autonomiaId) {

		this.id = id;
		this.dsO = dsO;
		this.autonomiaId = autonomiaId;
	}

	public T17Provincia(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return String
	 */

	public String getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            String
	 */

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Method 'getDsO'.
	 * 
	 * @return String
	 */

	public String getDsO() {
		return this.dsO;
	}

	/**
	 * Method 'setDsO'.
	 * 
	 * @param dsO
	 *            String
	 */

	public void setDsO(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * Method 'getAutonomiaId'.
	 * 
	 * @return String
	 */

	public String getAutonomiaId() {
		return this.autonomiaId;
	}

	/**
	 * Method 'setAutonomiaId'.
	 * 
	 * @param autonomiaId
	 *            String
	 */

	public void setAutonomiaId(String autonomiaId) {
		this.autonomiaId = autonomiaId;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ id: ").append(this.id).append(" ]");
		result.append(", [ dsO: ").append(this.dsO).append(" ]");
		result.append(", [ autonomiaId: ").append(this.autonomiaId).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the dsE
	 */
	public String getDsE() {
		return this.dsE;
	}

	/**
	 * @param dsE
	 *            the dsE to set
	 */
	public void setDsE(String dsE) {
		this.dsE = dsE;
	}

	/**
	 * @return the dsC
	 */
	public String getDsC() {
		return this.dsC;
	}

	/**
	 * @param dsC
	 *            the dsC to set
	 */
	public void setDsC(String dsC) {
		this.dsC = dsC;
	}

}
